API Reference for Marketo Engage

Update Landing Page Redirect Rule

POST /rest/asset/v1/redirectRule/{id}.json

Update an existing landing page redirect rule.

Operation ID
updateLandingPageRedirectRuleUsingPOST
Permissions
Read Write Redirect Rules
Request format
application/x-www-form-urlencoded
Returns
ResponseOfLandingPageRedirectRules

Parameters

Path 1

id integer (int32) required

Id of landing page redirect rule

Request body

application/x-www-form-urlencoded · required · UpdateLandingPageRedirectRuleRequest · 7 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

hostname string

The hostname for the landing pages. Branding domain or alias. Max 255 characters

redirectFrom RedirectFrom

JSON representation of redirect from landing page, with members 'type' which may be 'landingPageId' or 'path', and 'value'

Model RedirectFrom

type string required

Type of redirect landing page

Values landingPageId path

value string required

Value for redirect landing page. If type is 'path' this must not begin with forward slash

redirectTo RedirectTo

JSON representation of redirect to landing page, with members 'type' which may be 'landingPageId' or 'url', and 'value'

Model RedirectTo

type string required

Type of redirect landing page

Values landingPageId url

value string required

Value for redirect landing page

Responses

200 OK ResponseOfLandingPageRedirectRules
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of LandingPageRedirectRule

Model LandingPageRedirectRule

id integer (int64) required

Internal id for landing page redirect rule

redirectFromUrl string required

Redirect 'from' URL of the Landing Page. Combination of the hostname and redirectFrom landing page or path

redirectToUrl string required

Redirect 'to' URL of the Landing Page. Could be a Marketo landing page or non-Marketo URL.

hostname string required

The hostname for the landing pages. Branding domain or alias. Max 255 characters.

redirectFrom RedirectFrom required

JSON representation of redirect from landing page, with members 'type' which may be 'landingPageId' or 'path', and 'value'

Model RedirectFrom

type string required

Type of redirect landing page

Values landingPageId path

value string required

Value for redirect landing page. If type is 'path' this must not begin with forward slash

redirectTo RedirectTo required

JSON representation of redirect to landing page, with members 'type' which may be 'landingPageId' or 'url', and 'value'

Model RedirectTo

type string required

Type of redirect landing page

Values landingPageId url

value string required

Value for redirect landing page

createdAt string (date-time) required

Datetime the landing page redirect rule was created

updatedAt string (date-time) required

Datetime the landing page redirect rule was most recently updated

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "redirectFromUrl": "https://example.com",
      "redirectToUrl": "https://example.com",
      "hostname": "Example name",
      "redirectFrom": {
        "type": "landingPageId",
        "value": "string"
      },
      "redirectTo": {
        "type": "landingPageId",
        "value": "string"
      },
      "createdAt": "2026-01-15T10:30:00Z",
      "updatedAt": "2026-01-15T10:30:00Z"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results